<template>
  <div class="common-china">
    <slot
      :auth="authentication"
      :theme-properties="themeProperties"
      class="pb-1"
    >
    </slot>
    <facebook-link />
    <china-m-footer-menu v-if="except" :auth="authentication" />
  </div>
</template>
<script lang="ts">
import _ from "lodash";
import { defineComponent, computed } from "vue";
import { useRoute } from "vue-router";
import { store } from "@/store";

export default defineComponent({
  name: "App",
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const authentication = computed(() => store.state.auth);
    const isLoading = computed(() => store.state.isThemePropertyLoading);
    const isGameLoading = computed(() => store.state.isGameUpdateLoading);
    const route = useRoute();
    const array: Array<string> = ["Login", "login", "Register", "register"];
    const tabSelected = computed(() =>
      _.replace(_.replace(route.path.split("/")[1], "-", ""), "/", "")
    );
    const except = computed(() => !_.includes(array, tabSelected.value));
    return {
      themeProperties,
      isLoading,
      authentication,
      isGameLoading,
      except,
    };
  },
});
</script>
<style lang="scss">
@import "@/assets/styles/mobile/common.scss";
@import "@/assets/styles/mobile/china.scss";

.background1 {
  background-color: var(--background2);
}

:root {
  --tertiary: var(--primary);
}

body {
  background-color: var(--background1);
  div.container {
    width: unset;
  }
}

.balance-box {
  h2 {
    font-size: 28px;
    color: var(--secondary);
    padding-top: 2vh;
    padding-bottom: 2vh;
  }
}

.base-bg {
  background: linear-gradient(
    180deg,
    #62b3ff,
    #5ca9ff 30%,
    #4884f7 70%,
    #4884f7
  );
}
.referral-history {
  &__table {
    &-title {
      color: var(--text);
      @apply mb-2 pl-0;
    }

    .el-table th.el-table__cell {
      background: var(--background1);
      color: var(--text);
    }
  }
  .redeem-btn {
    .el-button {
      &:hover {
        --el-button-text-color: var(--text);
        --el-button-hover-text-color: var(--text);
        --el-button-border-color: var(--text);
        --el-button-hover-border-color: var(--text);
      }
      &:active,
      &:focus {
        --el-button-active-text-color: var(--primary);
        --el-button-hover-text-color: var(--primary);
      }
    }
  }
}
.h-fit.bg-background1.rounded-lg.min-w-fit {
  background: var(--background2);
}
.common-china {
  min-height: auto;
  .flex.flex-col.bg-background2 {
    .el-tabs__content {
      margin-top: 50px !important;
      .bg-background2.setting-tab {
        position: unset;
        .h-7 {
          height: 0px;
        }
      }
      #pane-gameBet {
        padding-bottom: 50px;
      }
      #pane-sport {
        padding-bottom: 50px;
        .bg-background2.p-3 {
          padding-top: 0;
        }
      }
    }
  }
  .text-tertiary {
    color: var(--tertiary);
  }

  .payment-bank-menu {
    color: var(--text);
    border-bottom: 2px solid transparent;
  }
  .payment-bank-menu.selected-tab {
    color: var(--secondary);
    font-weight: 500;
    border-color: var(--secondary);
  }
  .divider-y {
    background: var(--background2);
    .px-5.py-6.space-y-4 {
      background: var(--background2);
    }
    & h5 {
      color: var(--hint);
    }
    .el-radio-button {
      --el-radio-button-checked-border-color: var(--primary);
      --el-radio-button-checked-bg-color: rgb(0, 0, 0, 0);
      --el-radio-button-checked-text-color: var(--text);
      margin-right: 0;
      height: 100%;
      min-height: 32px;

      .check-img {
        height: 18px !important;
      }
      &.is-active {
        & .el-radio-button__inner {
          @apply w-full text-center p-0 h-full min-h-[32px] pl-0 inline-flex items-center justify-center leading-[14px] text-xs font-bold;
          box-shadow: none !important;
          border: var(--secondary) solid 2px;
          white-space: break-spaces;
          color: var(--secondary);
        }
      }
      & .el-radio-button__inner {
        @apply w-full text-center p-0 h-full min-h-[32px] pl-0 inline-flex items-center justify-center leading-[14px] text-xs font-bold;
        box-shadow: none !important;
        border: var(--border) solid 2px;
        white-space: break-spaces;
        color: var(--text);
        & img {
          height: 100%;
        }
      }
      & .el-radio-button__inner::before {
        background: var(--secondary) !important;
      }
      .el-radio-button__original-radio:checked + .el-radio-button__inner,
      &:first-child
        .el-radio-button__original-radio:checked
        + .el-radio-button__inner {
        border-color: var(--secondary);
      }
    }
    .slip-card {
      width: 100%;
      height: 132px;

      /* KR Theme/Background1 */

      background: var(--background1);
      /* KR Theme/Border */

      border: 1px dashed #4d5080;
      border-radius: 8px;
    }
    .slip-card button.el-button {
      width: 152px;
      height: 40px;
    }
  }
  .el-button.el-button--primary.is-round {
    min-width: 152px;
    height: 40px;
    span {
      font-size: 14px;
      font-weight: 700;
    }
  }
  .el-input__inner {
    height: 48px !important;
    border-radius: 8px;
  }
  .el-overlay .el-dialog {
    --el-dialog-bg-color: var(--background2);
  }
}
</style>
